{% extends 'base.html' %}
{% block head %}

{% endblock %}
{% block content %}

{% with active_nav='language' %}
    {% include "widgets/navtabs.html" %}
{% endwith %}


  <div class="pure-g">
    <div class="pure-u-1 pure-u-md-2-24"></div>
      <div class="pure-u-1 pure-u-md-20-24">

      <div class="pure-g h-box">
        <div class="pure-u-1-2">
          <div class="pure-u-1 pure-md-1-4">
          </div>
          <div class="pure-u-1 pure-md-1-4">
          </div>
          <div class="pure-u-1 pure-md-1-4">
            <i class='ion-ios-albums'  style="font-size: 24px;vertical-align: middle;"></i>
            <span class="flag-icon {{ language['lang_image_css'] }}" style="font-size: 17px; vertical-align: middle;border: .001em solid black"></span>
            <span style="vertical-align: sub;">
            <b>&nbsp;{{ channelcount | commafy }}</b>
            </span>
          </div>
        </div>
      </div>



<div class="h-box">
 <hr>
</div>
        <div class="pure-g">
          {% for channel in channels %}
            <div class="pure-u-1 pure-u-md-1-4">
              <div class="h-box">
                <div class = "pure-g">
                  <div class="pure-u-1-2">
                    <a href="{{ url_for('channel.item', ytc_id=channel['ytc_id']) }}">
                      <div class="thumbnail">
                        <left>
                          <img style="width:97%"
                            src="{{ channel['ytc_thumbnailurl'] | reverse | replace('88','671', 1) | reverse  }}" >
                          </style>
                        </left>
                      </div>
                    </a>
                  </div>
                  <div class="pure-u-1-2" style="text-align:left">
                    <a href="{{ url_for('channel.item', ytc_id=channel['ytc_id']) }}">
                      {{ gettext('Limited') }}: {{ channel['limited']|commafy }}
                    </a><br>
                      {{ gettext('Total') }}: {{ channel['total']|commafy }}<br>
                      {{ gettext('Views') }}: {{ channel['ytc_viewcount'] | viewdisplay }}<br>
                      {{ gettext('Subs') }}: {{ channel['ytc_subscribercount'] | viewdisplay }}<br>


                    {% if channel['ytc_deleted'] %}
                     <img style="width:31%"
                    class="thumbnail" src="https://{{ config['MYSERVER_NAME'] }}/x.gif">
                    </style>
                    {% else %}
                      {{ gettext('Monitor') }}:
                      {% if channel.allow %}{{ gettext('True') }}<br>
                      {% else %}{{ gettext('False') }}<br>
                      {% endif %}
                      {{ gettext('Archive') }}:
                      {% if channel.ytc_archive %}{{ gettext('True') }}<br>
                       {% else %}{{ gettext('False') }}<br>
                      {% endif %}
                    {% endif %}
                  </div>
                </div>

                <a href="{{ url_for('channel.item', ytc_id=channel['ytc_id']) }}">
                  <b>{{ channel['ytc_title'] }}</b>
                </a>
                <br>
                  {{ gettext('Created') }} {{ channel['ytc_publishedat'].strftime('%b %e, %G') }}
              </div>
              <br>
            </div>
          {% endfor %}

        </div>

      <div class="pure-g h-box">
        <div class="pure-u-1-2">
          <div class="pure-u-1 pure-md-1-4">
          </div>
          <div class="pure-u-1 pure-md-1-4">
          </div>
          <div class="pure-u-1 pure-md-1-4">
            <i class='ion-logo-youtube'  style="font-size: 24px;vertical-align: middle;"></i>
            <span class="flag-icon {{ language['lang_image_css'] }}" style="font-size: 17px; vertical-align: middle;border: .001em solid black"></span>
            <span style="vertical-align: sub;">
            <b>&nbsp;{{ videocount | commafy }}</b>
            </span>
          </div>
        </div>

        <div class="pure-u-1-2">
          <div class="pure-g" style="text-align:right">

            {% if order == 'latest' %}
              <div class="pure-u-1 pure-md-1-4">
                <b>{{ gettext('latest') }}</a></b>
              </div>
              <div class="pure-u-1 pure-md-1-4">
                <b><a href="{{ url_for('language.item_new', lang_code=language['lang_code'] ) }}">{{ gettext('newest') }}</a></b>
              </div>
              <div class="pure-u-1 pure-md-1-4">
                <b><a href="{{ url_for('language.item_old', lang_code=language['lang_code'] ) }}">{{ gettext('oldest') }}</a></b>
              </div>
              <div class="pure-u-1 pure-md-1-4">
                <b><a href="{{ url_for('language.item_popular', lang_code=language['lang_code'] ) }}">{{ gettext('popular') }}</a></b>
              </div>

            {% elif order == 'newest' %}
              <div class="pure-u-1 pure-md-1-4">
                <b><a href="{{ url_for('language.item', lang_code=language['lang_code'] ) }}">{{ gettext('latest') }}</a></b>
              </div>
              <div class="pure-u-1 pure-md-1-4">
                <b>{{ gettext('newest') }}</a></b>
              </div>
              <div class="pure-u-1 pure-md-1-4">
                <b><a href="{{ url_for('language.item_old', lang_code=language['lang_code'] ) }}">{{ gettext('oldest') }}</a></b>
              </div>
              <div class="pure-u-1 pure-md-1-4">
                <b><a href="{{ url_for('language.item_popular', lang_code=language['lang_code'] ) }}">{{ gettext('popular') }}</a></b>
              </div>

            {% elif order == 'oldest' %}
              <div class="pure-u-1 pure-md-1-4">
                <b><a href="{{ url_for('language.item', lang_code=language['lang_code'] ) }}">{{ gettext('latest') }}</a></b>
              </div>
              <div class="pure-u-1 pure-md-1-4">
                <b><a href="{{ url_for('language.item_new', lang_code=language['lang_code'] ) }}">{{ gettext('newest') }}</a></b>
              </div>
              <div class="pure-u-1 pure-md-1-4">
                <b>{{ gettext('oldest') }}</a></b>
              </div>
              <div class="pure-u-1 pure-md-1-4">
                <b><a href="{{ url_for('language.item_popular', lang_code=language['lang_code'] ) }}">{{ gettext('popular') }}</a></b>
              </div>


            {% elif order == 'popular' %}
              <div class="pure-u-1 pure-md-1-4">
                <b><a href="{{ url_for('language.item', lang_code=language['lang_code'] ) }}">{{ gettext('latest') }}</a></b>
              </div>
              <div class="pure-u-1 pure-md-1-4">
                <b><a href="{{ url_for('language.item_new', lang_code=language['lang_code'] ) }}">{{ gettext('newest') }}</a></b>
              </div>
              <div class="pure-u-1 pure-md-1-4">
                <b><a href="{{ url_for('language.item_old', lang_code=language['lang_code'] ) }}">{{ gettext('oldest') }}</a></b>
              </div>
              <div class="pure-u-1 pure-md-1-4">
                <b>{{ gettext('popular') }}</a></b>
              </div>

            {% endif %}
          </div>
        </div>
      </div>


<div class="h-box">
 <hr>
</div>

<br>
<div class="pure-g">
  {% for video in videos %}
      <div class="pure-u-1 pure-u-md-1-4">
         <div class="h-box">
           <a style="width:100%;" href="{{ url_for('video.watch', v=video['extractor_data']) }}">
            <div class="thumbnail">
              <img class="thumbnail" src="{{ config.IPROXYBIG ~ config.IARCHIVEURL ~ video['extractor_data'] ~ '/' ~ video['title'] | ia_fname ~ '-' ~ video['extractor_data'] ~ '.jpg' }}"
              onerror="this.onerror=null;this.src='{{ config.IPROXYBIG ~ config.IARCHIVEURL ~ video['extractor_data'] ~ '/__ia_thumb.jpg' }}';" >
              {% if video['duration']  is not none %}
                <p class="length">{{ video['duration'] | hourminsec }}</p>
              {% else %}
              {% endif %}
            </div>
           </a>
          <p><a class="action" href="{{ url_for('video.watch', v=video['extractor_data']) }}">
          {{ video['title'] }}</a></p>
           <p>
            <b><a style="width:100%;" href="{{ url_for('channel.item', ytc_id=video['ytc_id']) }}">
            {{ video['ytc_title'] }}</a></b>
           </p>
           <h5 class = "pure-g">
            <div class="pure-u-2-3">
            {{ gettext('Published') }} {{ video['published'].strftime('%b %e, %G') }}
            </div>
            <div class="pure-u-1-3" style="text-align:right">
            {{ video['yt_views']|viewdisplay }} {{ gettext('views') }}
            </div>
           </div>
      </div>

  {% endfor %}

</div>

{% from "_helpers.html" import render_pagination %}
<br>
<div class="pure-g">
      <div class="pure-u-1 pure-u-md-4-4">
         <div class="h-box">
          {{ render_pagination(pagination) }}
         </div>
      </div>


{% endblock %}
